package com.lemon.lifecenter.common;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebConfigurations implements WebMvcConfigurer {
    @Autowired
    LifeCenterInterCeptor lifeCenterInterCeptor;
    
    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry) {
        registry.addResourceHandler("/resources/**").addResourceLocations("/resources/");
    }
    
    /*
     * Interceptor 설정
     * */
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(lifeCenterInterCeptor)
            .addPathPatterns( "/**/*" )
            .excludePathPatterns( "/resources/css/**", "/resources/js/**", "/resources/images/**", "/resources/fonts/**" );
    }
}
